Ignore:
Timestamp:
10/27/12 06:40:54 (8 years ago)
Author:
Mark Evenson
Message:

Update to explicitly using jna-3.5.0.jar.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/abcl/contrib/mvn/jna.asd

    r14192 r14217  
    33;;;; Need to have jna.jar present for CFFI to have a chance of working.
    44(asdf:defsystem :jna
    5     :version "3.4.0"
     5    :version "3.5.0"
    66    :defsystem-depends-on (jss abcl-asdf)
    7 ;; FIXME:
    8     :components ((:mvn "net.java.dev.jna/jna/3.4.0")))
     7;; FIXME: always seems to be resolving the LATEST maven artifact.
     8    :components ((:mvn "net.java.dev.jna/jna/3.5.0")))
    99
    1010(in-package :asdf)
     
    2424          (java:add-to-classpath (abcl-asdf:resolve "net.java.dev.jna:jna:3.4.0"))
    2525        (unless
    26             (java:add-to-classpath #p"http://repo1.maven.org/maven2/net/java/dev/jna/jna/3.4.0/jna-3.4.0.jar")
    27           (error "Failed to load jna-3.4.0.jar from the network via URI."))
     26            ;; Might want to download to local filesystem, then place in classpath
     27            (java:add-to-classpath #p"http://repo1.maven.org/maven2/net/java/dev/jna/jna/3.5.0/jna-3.5.0.jar")
     28          (error "Failed to load jna-3.5.0.jar from the network via URI."))
    2829        (error "Failed to load jna.jar via ABCL-ASDF.")))
    2930    (t (e)
Note: See TracChangeset for help on using the changeset viewer.